org.bouncycastle.asn1.x509

## Class V2Form

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.V2Form

All Implemented Interfaces:
  DEREncodable

    public class V2Form
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`V2Form(ASN1Sequence seq)`
`V2Form(GeneralNames issuerName)`

### Method Summary

Methods
`IssuerSerial` `getBaseCertificateID()`
`static V2Form` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static V2Form` `getInstance(java.lang.Object obj)`
`GeneralNames` `getIssuerName()`
`ObjectDigestInfo` `getObjectDigestInfo()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V2Form

    public V2Form(GeneralNames issuerName)

#### V2Form

    public V2Form(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static V2Form getInstance(ASN1TaggedObject obj,
                     boolean explicit)

#### getInstance

    public static V2Form getInstance(java.lang.Object obj)

#### getIssuerName

    public GeneralNames getIssuerName()

#### getBaseCertificateID

    public IssuerSerial getBaseCertificateID()

#### getObjectDigestInfo

    public ObjectDigestInfo getObjectDigestInfo()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

      V2Form ::= SEQUENCE {
           issuerName            GeneralNames  OPTIONAL,
           baseCertificateID     [0] IssuerSerial  OPTIONAL,
           objectDigestInfo      [1] ObjectDigestInfo  OPTIONAL
             -- issuerName MUST be present in this profile
             -- baseCertificateID and objectDigestInfo MUST NOT
             -- be present in this profile
      }

Specified by:
  `toASN1Object` in class `ASN1Encodable`